// @author          Andy Hickey <andy@netamity.com>
// @link            http://www.netamity.com
// @copyright       Copyright © 2017 Netamity - All Rights Reserved
// @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
	
jQuery("document").ready(function(){

    jQuery("#getFile").change(function() {
		
		//disable the input and add an search gif
		jQuery("#getFile").prop('disabled', true);
		jQuery("#iu_result").html('<img src="http://netamity.com/37/plugins/fields/imageupload/assets/loading.gif"/>'); 
		
		var myFormData = new FormData();
		myFormData.append('pictureFile', getFile.files[0]);
        	
		jQuery.ajax(
			{
				type: "POST",
				url: "index.php?option=com_ajax&plugin=imageupload&format=raw",
                processData: false, // important
                contentType: false, // important
                //dataType : 'json',
                data: myFormData,
				success: function(data)
				{
					 //console.log(data);
					  var obj = JSON.parse(data);
					  if(obj.error)
					  {
						 jQuery("#iu_result").html('<span style="color:red;font-weight:bold">'+obj.error+'</span>');
						jQuery("#getFile").val("");
					  }
					  else if(obj.relpath)
					  {
						  var src = '<img src="' + obj.relpath + '" width="64px" />';
						 jQuery("#iu_result").html(src); 
						 
						 //jQuery("#iu_notice").html("Image uploaded: Save form "); 

						 jQuery("#setimgval").val(obj.relpath);
					  }
					  jQuery("#getFile").prop('disabled', false);
				}
			});				
    });
});