<?php
/**
 * @author          Andy Hickey <andy@netamity.com>
 * @link            http://www.netamity.com
 * @copyright       Copyright © 2017 Netamity - All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 */

defined('_JEXEC') or die('Restricted access');

jimport('joomla.form.formfield');
class JFormFieldImageupload extends JFormField
{
    protected $type = 'Imageupload';


    public function getInput()
    {
		//set session for authentication
		$session = JFactory::getSession();
		$settings = array(
		'maxwidth'=> $this->getAttribute('maxwidth') , 
		'minwidth'=> $this->getAttribute('minwidth') , 
		'maxheight'=> $this->getAttribute('maxheight') , 
		'minheight'=> $this->getAttribute('minheight') , 
		'destination'=> $this->getAttribute('destination') , 
		'img_filesize'=> $this->getAttribute('img_filesize') ,
		'acceptedformats'=> $this->getAttribute('acceptedformats') ,		
		'filename_format'=> $this->getAttribute('filename_format') 					
		);
		$session->set('imageupload', $settings);
		$document = JFactory::getDocument();
		$document->addScriptDeclaration('var base = \''.JURI::base().'\'');
		JHtml::script(Juri::base() . 'plugins/fields/imageupload/assets/imageupload.js');
		if($this->value) { $prev = '<img src="'.$this->value.'" width="32px" />'; } else { $prev = ''; }
		echo '<table><tr><td><input type="file" name="getFile" id="getFile"/></td><td><div id="iu_result">'.$prev.'</div></td></tr></table>';
		//echo '<div id="iu_notice"></div>';
		echo '<input type="hidden" name="'.$this->name.'" id="setimgval" value="'.$this->value.'" />';

		return;


    }
}