<?php
/**
 * @author          Andy Hickey <andy@netamity.com>
 * @link            http://www.netamity.com
 * @copyright       Copyright © 2017 Netamity - All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 */

defined('_JEXEC') or die;

JLoader::import('components.com_fields.libraries.fieldsplugin', JPATH_ADMINISTRATOR);


class PlgFieldsImageupload extends FieldsPlugin
{
    public function onCustomFieldsPrepareDom($field, DOMElement $parent, JForm $form)
    {
        $fieldNode = parent::onCustomFieldsPrepareDom($field, $parent, $form);
        

        if (!$fieldNode)
        {
            return $fieldNode;
        }

        $form->addFieldPath(JPATH_PLUGINS . '/fields/imageupload/fields');
        $fieldNode->setAttribute('type', 'imageupload');

        return $fieldNode;
    }
}
